Subject: Re: bug#18902: Emacs 24.4 doesn't respect X resources

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Sep 2021 09:47:24 +0200

Rogério Brito <[email-masked]> writes:

> This is from my .Xresources file, but they are also spit with xrdb -query.
> *BUT*, in the mean time, I did the following:
>
> * I am using the MATE desktop environment (essentially, GNOME 2) and I get
>   the X resources ignored with Emacs 24.4, but everything worked just fine
>   with Emacs 24.3.
>
> * I tried installing and seeing the behavior with LXDE, GNOME 3 Classic
>   (regular GNOME 3 just crashed), and  XFCE.  Emacs 24.4 loaded the
>   resources just fine with these.
>
> * Then, I became more adventurous and spent a lot of time git bisecting the
>   emacs tree and after a lot of electrical energy/heat, I discovered that
>   the first bad commit is, indeed, related to faces and X resources.
>
>   The commit is 15e14b165dcbc6566a0459b0d5e66f89080f569e and right at the
>   bottom of the comment is
>
>     * faces.el (face-spec-set): Use face-spec-recalc in all cases.
>     (face-spec-reset-face): Don't assign extra properties in temacs.
>     (face-spec-recalc): Apply X resources too.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This was

commit aac2b673c3083ab612bcd57fbcd9d370078bd8da
Author:     Chong Yidong <[email-masked]>
AuthorDate: Sat Dec 21 23:31:09 2013 +0800

Looking at the code in face-spec-recalc in the current Emacs, it looks
quite different from what it did in 2013.  Are you still seeing this
issue in recent versions of Emacs?  (I can't recall seeing any similar
reports.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no